﻿using System;
using System.Windows;

using System.IO;        // ファイル操作で使用する。
using Microsoft.Win32; // オープンファイル・ダイアログボックスで使用する。

namespace SaveFileDialog
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btn0_Click(object sender, RoutedEventArgs e)
        {
            msd_SaveFileDialogProcess();
        }

        private void msd_SaveFileDialogProcess()
        {
            // ラベルの内容を消去します。
            Label01.Content = "";

            // Configure save file dialog box セーブ・ファイル・ダイアログボックスを設定します。
            Microsoft.Win32.SaveFileDialog dlg = new Microsoft.Win32.SaveFileDialog();

            dlg.FileName = "Document"; // Default file name 既定のファイル名
            dlg.DefaultExt = ".text"; // Default file extension 既定のファイル拡張子
            dlg.Filter = "Text documents (.txt)|*.txt"; 
            // Filter files by extension 拡張機能によってファイルにフィルターをかけます。

            // Show save file dialog box 既定のファイル拡張子
            Nullable<bool> result = dlg.ShowDialog();

            // Process save file dialog box results セーブ・ファイル・ダイアログボックスを表示します。
            if (result == true)
            {
                // ファイル名をフルパスで表示します。
                string filename = dlg.FileName;
                Label01.Content = filename;
            }
        }
    }
}
